Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to Install LINX on RPi4

Hi folks, I've encountered a problem while trying to update the LINX software into my Raspberry Pi 4 Model B. I'm using Labview 2020 SP1 version and NI Labview Linx Toolkit.

Could somebody help me solve this issue?

Here's what the script on the error log file looks like:

 

Connecting to target...
Successfully connected to target.
Successfully connected to the target.
Target configuration updated.
OS Version: 10.9
CPU: BCM2711
Systemd Version:
Has Internet Access: True
Device Type: Raspberry Pi 2 B

Connecting to target...
Successfully connected to target.
Successfully connected to the target.
Target configuration updated.
OS Version: 10.9
CPU: BCM2711
Systemd Version:
Has Internet Access: True
Device Type: Raspberry Pi 2 B

blacklist spi-bcm2708is not present.dtparam=spi=on already exists.i2c-dev already exists.i2c-bcm2708 already exists.blacklist i2c-bcm2708is not present.dtparam=i2c1=on already exists.dtparam=i2c_arm=on already exists.
Adding MakerHub feed...
MakerHub Feed Already Exists
Updating package index. This may take over 30 seconds depending on your internet speed...
Ign:1 http://feeds.labviewmakerhub.com/debian binary/ InRelease
Ign:2 http://feeds.labviewmakerhub.com/debian binary/ Release
Ign:3 http://feeds.labviewmakerhub.com/debian binary/ Packages
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Obj:6 http://archive.raspberrypi.org/debian buster InRelease
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Obj:9 http://raspbian.raspberrypi.org/raspbian buster InRelease
Ign:3 http://feeds.labviewmakerhub.com/debian binary/ Packages
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Ign:3 http://feeds.labviewmakerhub.com/debian binary/ Packages
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Obj:3 http://feeds.labviewmakerhub.com/debian binary/ Packages
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Ign:4 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX.UTF-8
Ign:5 http://feeds.labviewmakerhub.com/debian binary/ Translation-es
Ign:7 http://feeds.labviewmakerhub.com/debian binary/ Translation-en
Ign:8 http://feeds.labviewmakerhub.com/debian binary/ Translation-es_MX
Leyendo lista de paquetes...
Installing LabVIEW...
Leyendo lista de paquetes...
Creando árbol de dependencias...
Leyendo la información de estado...
lvrt20-schroot ya está en su versión más reciente (20.0.0-4).
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
Rebooting Target...
Successfully connected to target.
Checking target status...

Installation failed. If this is the first time the installation has failed try again. If this error persists search, then post on the LabVIEW MakerHub forums at labviewmakerhub.com/forums/linx.
Target configuration updated.
OS Version: 10.9
CPU: BCM2711
Systemd Version:
Has Internet Access: True
Device Type: Raspberry Pi 2 B

 

0 Kudos
Message 1 of 2
(699 Views)

Why do you think it's not installed? I see the error but maybe it just had trouble connecting after the reboot? If you go the the Target Configuration UI where you do the installation, what do you see for "Installed Version". If you did have an installation problem hopefully someone can fix the install process but in the meanwhile, check out the manual installation procedure https://forums.ni.com/t5/Hobbyist-Toolkit/loss-connection-to-target-when-deploy-project-to-rpi-4/m-p...

0 Kudos
Message 2 of 2
(650 Views)